program main
    !**************************** CACmb  *******************************
    !*                 CAC model building toolkit                      *
    !                        ____________                              *
    !                       /           /                              *    
    !                      /           /                               *
    !                     /___________/                                *
    !       _|_  _|_   _|____________                                  *
    !                   /           /                                  *
    !                  /           /                                   *
    !                 /___________/                                    *         
    !                                                                  *
    !*******************************************************************

    use parameters
    use elements
    use io
    

    integer ::  arg_num
    character(len=100) ::  mode

    call lattice_init

    ! Command line parsing
    arg_num = command_argument_count()

    !Determine if a mode is being used and what it is. The first argument has to be the mode
    !if a mode is being used
    call get_command_argument(1, mode)

    mode = trim(adjustl(mode))
    if (mode(1:2) == '--') then 
        call call_mode(arg_num, mode)
    end if

    !Finish by writing the files
    call write_out
end program main